use tray_item::{TrayItem, IconSource};
use subprocess;

fn main() {
    gtk::init().unwrap();

    let mut tray = TrayItem::new("Melawy Arch Linux Update Tray Icon", IconSource::Resource("software-store")).unwrap();

    tray.add_label("Melawy Arch Linux Update Tray Icon").unwrap();

    tray.add_menu_item("Update system", || {
        println!("Update system");
        let exit_status = subprocess::Exec::cmd("sudo").arg("arch-linux-updater").join();
        println!("{:?}", exit_status);
    }).unwrap();

    tray.add_menu_item("Quit", || {
        gtk::main_quit();
    }).unwrap();

    gtk::main();
}
